## autofs5 5.0.3

=== lib/Makefile ===
#
# Makefile for autofs utility library
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = cache.c cat_path.c rpc_subs.c mounts.c log.c nsswitch.c \
	master_tok.l master_parse.y nss_tok.c nss_parse.tab.c \
	args.c alarm.c macros.c master.c defaults.c parse_subs.c
RPCS = mount.h mount_clnt.c mount_xdr.c
OBJS = cache.o mount_clnt.o mount_xdr.o cat_path.o rpc_subs.o \
	mounts.o log.o nsswitch.o master_tok.o master_parse.tab.o \
	nss_tok.o nss_parse.tab.o args.o alarm.o macros.o master.o \
	defaults.o parse_subs.o

YACCSRC = nss_tok.c nss_parse.tab.c nss_parse.tab.h \
	  master_tok.c master_parse.tab.c master_parse.tab.h

LIB = autofs.a

CFLAGS += -I../include -fPIC -D_GNU_SOURCE
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"

.PHONY: all install clean

all: autofs.a

autofs.a: $(OBJS)
	rm -f $(LIB)
	$(AR) $(ARFLAGS) $(LIB) $(OBJS)
	-$(RANLIB) $(LIB)

mount.h: mount.x
	$(RPCGEN) -h -o mount.h mount.x

mount_clnt.c: mount.h
	$(RPCGEN) -l -o mount_clnt.c mount.x

mount_clnt.o: mount_clnt.c
	$(CC) $(CFLAGS) -o mount_clnt.o -c mount_clnt.c
	$(STRIP) mount_clnt.o

mount_xdr.c: mount.h
	$(RPCGEN) -c -o mount_xdr.c mount.x

mount_xdr.o: mount_xdr.c
	$(CC) $(CFLAGS) -Wno-unused-variable -o mount_xdr.o -c mount_xdr.c
	$(STRIP) mount_xdr.o

master_tok.c: master_tok.l
	$(LEX) -o$@ -Pmaster_ $?

master_parse.tab.c master_parse.tab.h: master_parse.y
	$(YACC) -v -d -p master_ -b master_parse $?

master_tok.o: master_tok.c master_parse.tab.h

master_parse.tab.o: master_parse.tab.c master_parse.tab.h

nss_tok.c: nss_tok.l
	$(LEX) -o$@ -Pnss_ $?

nss_parse.tab.c nss_parse.tab.h: nss_parse.y
	$(YACC) -v -d -p nss_ -b nss_parse $?

nss_tok.o: nss_tok.c nss_parse.tab.h

nss_parse.tab.o: nss_parse.tab.c nss_parse.tab.h

install: all

clean:
	rm -f $(LIB) $(RPCS) $(OBJS) $(YACCSRC) *.output *~

## autofs5 5.0.6

=== daemon/Makefile ===
#
# Makefile for autofs
#

-include ../Makefile.conf
include ../Makefile.rules

SRCS = automount.c indirect.c direct.c spawn.c module.c mount.c \
	lookup.c state.c flag.c
OBJS = automount.o indirect.o direct.o spawn.o module.o mount.o \
	lookup.o state.o flag.o

version := $(shell cat ../.version)

CFLAGS += -rdynamic $(DAEMON_CFLAGS) -D_GNU_SOURCE -I../include
CFLAGS += -DAUTOFS_LIB_DIR=\"$(autofslibdir)\" 
CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
CFLAGS += -DAUTOFS_CONF_DIR=\"$(autofsconfdir)\"
CFLAGS += -DAUTOFS_FIFO_DIR=\"$(autofsfifodir)\"
CFLAGS += -DAUTOFS_FLAG_DIR=\"$(autofsflagdir)\"
CFLAGS += -DVERSION_STRING=\"$(version)\"
LDFLAGS += -rdynamic
LIBS = -ldl

ifeq ($(LDAP), 1)
    CFLAGS += $(XML_FLAGS)
    LIBS += $(XML_LIBS)
endif

all: automount

automount: $(OBJS) $(AUTOFS_LIB)
	$(CC) $(LDFLAGS) $(DAEMON_LDFLAGS) -o automount $(OBJS) $(AUTOFS_LIB) $(LIBS)
	$(STRIP) automount

clean:
	rm -f *.o *.s *~ automount

install: all
	install -d -m 755 $(INSTALLROOT)$(sbindir)
	install -c automount -m 755 $(INSTALLROOT)$(sbindir)

=== samples/Makefile ===
#
-include ../Makefile.conf
include ../Makefile.rules

SAMPLES = auto.master auto.misc auto.net auto.smb

all: rc.autofs autofs.conf.default

rc.autofs: rc.autofs.in
	sed -e "s|@@sbindir@@|$(sbindir)|g" \
	    -e "s|@@autofslibdir@@|$(autofslibdir)|g" \
	    -e "s|@@autofsconfdir@@|$(autofsconfdir)|g" \
	    -e "s|@@initdir@@|$(initdir)|g" < rc.autofs.in > rc.autofs

autofs.conf.default: autofs.conf.default.in
	sed -e "s|@@autofsmapdir@@|$(autofsmapdir)|g" \
		< autofs.conf.default.in > autofs.conf.default

.PHONY: dirs
dirs:
	install -d -m 755 $(INSTALLROOT)$(autofsmapdir)
	install -d -m 755 $(INSTALLROOT)$(autofsconfdir)
	install -d -m 755 $(INSTALLROOT)$(autofslibdir)
	install -d -m 755 $(INSTALLROOT)/var/run/autofs

.PHONY: autofs.init
autofs.init:
	@echo
ifneq ($(initdir),)
	install -d -m 755 $(INSTALLROOT)$(initdir)
	install rc.autofs -m 755 $(INSTALLROOT)$(initdir)/autofs
else
	if test -d $(INSTALLROOT)/etc/rc.d ; then \
		install -c rc.autofs -m 755 $(INSTALLROOT)/etc/rc.d ; \
	fi
endif

CONFIG = $(shell test -e $(INSTALLROOT)$(autofsconfdir)/autofs.orig || echo "-b --suffix=.orig")
CEXISTS = $(shell test -e $(INSTALLROOT)$(autofsconfdir)/autofs || echo "no")

.PHONY: autofs.conf
autofs.conf: autofs.conf.default
	@echo
	@echo "Installing autofs default configuation in $(autofsconfdir)"
	@if test -z "$(CONFIG)" ; \
	then \
		install -v autofs.conf.default -m 644 \
			$(INSTALLROOT)$(autofsconfdir)/autofs.conf.new ; \
		echo "Found existing backup of configuration file." ; \
		echo "Installed package default configuration file as \"autofs.conf.new\"." ; \
	else \
		install -v autofs.conf.default -m 644 $(CONFIG) \
				$(INSTALLROOT)$(autofsconfdir)/autofs ; \
		echo "Installed package configuration configuration as \"autofs\"." ; \
		if test -z "$(CEXISTS)" ; \
		then \
			echo "Backup of existing configuration made to \"autofs.orig\"." ; \
		fi ; \
	fi

AUTH = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf.orig || echo "-b --suffix=.orig")
AEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf || echo "no")

.PHONY: autofs_ldap_auth.conf
autofs_ldap_auth.conf:
	@echo
	@echo "Installing autofs ldap auth config \"autofs_ldap_auth.conf\" in $(autofsmapdir)"
	@if test -z "$(AUTH)" ; \
	then \
		install -v autofs_ldap_auth.conf -m 600 \
			$(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf.new ; \
		echo "Found existing backup of auth config \"autofs_ldap_auth.conf\"." ; \
		echo "Installed package auth config as \"autofs_ldap_auth.conf.new\"." ; \
	else \
		install -v autofs_ldap_auth.conf -m 600 $(AUTH) \
				$(INSTALLROOT)$(autofsmapdir)/autofs_ldap_auth.conf ; \
		echo "Installed package auth config as \"autofs_ldap_auth.conf\"." ; \
		if test -z "$(SEXISTS)" ; \
		then \
			echo "Backup of existing auth config made to \".utofs_ldap_auth.conf.orig\"." ; \
		fi ; \
	fi

MASTER = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.master.orig || echo "-b --suffix=.orig")
MEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.master || echo "no")

.PHONY: auto.master
auto.master:
	@echo
	@echo "Installing autofs default master map in $(autofsmapdir)"
	@if test -z "$(MASTER)" ; \
	then \
		install -v auto.master -m 644 \
			$(INSTALLROOT)$(autofsmapdir)/auto.master.new ; \
		echo "Found existing backup of master map." ; \
		echo "Installed package default master map as \"auto.master.new\"." ; \
	else \
		install -v auto.master -m 644 $(MASTER) \
				$(INSTALLROOT)$(autofsmapdir)/auto.master ; \
		echo "Installed package master map as \"auto.master\"." ; \
		if test -z "$(MEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.master.orig\"." ; \
		fi ; \
	fi

MISC = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.misc.orig || echo "-b --suffix=.orig")
IEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.misc || echo "no")

.PHONY: auto.misc
auto.misc:
	@echo
	@echo "Installing autofs sample map \"auto.misc\" in $(autofsmapdir)"
	@if test -z "$(MISC)" ; \
	then \
		install -v auto.misc -m 644 \
			$(INSTALLROOT)$(autofsmapdir)/auto.misc.new ; \
		echo "Found existing backup of sample map \"auto.misc\"." ; \
		echo "Installed package sample as \"auto.misc.new\"." ; \
	else \
		install -v auto.misc -m 644 $(MISC) \
				$(INSTALLROOT)$(autofsmapdir)/auto.misc ; \
		echo "Installed package sample map as \"auto.misc\"." ; \
		if test -z "$(MEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.misc.orig\"." ; \
		fi ; \
	fi

NET = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.net.orig || echo "-b --suffix=.orig")
NEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.net || echo "no")

.PHONY: auto.net
auto.net:
	@echo
	@echo "Installing autofs sample map \"auto.net\" in $(autofsmapdir)"
	@if test -z "$(NET)" ; \
	then \
		install -v auto.net -m 755 \
			$(INSTALLROOT)$(autofsmapdir)/auto.net.new ; \
		echo "Found existing backup of sample map \"auto.net\"." ; \
		echo "Installed package sample as \"auto.net.new\"." ; \
	else \
		install -v auto.net -m 755 $(NET) \
				$(INSTALLROOT)$(autofsmapdir)/auto.net ; \
		echo "Installed package sample map as \"auto.net\"." ; \
		if test -z "$(NEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.net.orig\"." ; \
		fi ; \
	fi

SMB = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.smb.orig || echo "-b --suffix=.orig")
SEXISTS = $(shell test -e $(INSTALLROOT)$(autofsmapdir)/auto.smb || echo "no")

.PHONY: auto.smb
auto.smb:
	@echo
	@echo "Installing autofs sample map \"auto.smb\" in $(autofsmapdir)"
	@if test -z "$(SMB)" ; \
	then \
		install -v auto.smb -m 755 \
			$(INSTALLROOT)$(autofsmapdir)/auto.smb.new ; \
		echo "Found existing backup of sample map \"auto.smb\"." ; \
		echo "Installed package sample as \"auto.smb.new\"." ; \
	else \
		install -v auto.smb -m 755 $(SMB) \
				$(INSTALLROOT)$(autofsmapdir)/auto.smb ; \
		echo "Installed package sample map as \"auto.smb\"." ; \
		if test -z "$(SEXISTS)" ; \
		then \
			echo "Backup of existing map made to \"auto.smb.orig\"." ; \
		fi ; \
	fi

install: rc.autofs autofs.conf.default dirs autofs.init autofs.conf \
		autofs_ldap_auth.conf $(SAMPLES)
	@echo

clean:
	rm -f *.o *.s rc.autofs autofs.conf.default

=== debian/changelog ===
autofs5 (5.0.6-0ubuntu5.1) precise-proposed; urgency=low

  * Add patch to fix nsswitch parser to accept nsswitch.conf without an
    automout stanza as valid file. (Closes: #602090) (LP: #488696)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 12 Sep 2012 20:28:06 +0100

autofs5 (5.0.6-0ubuntu5) precise; urgency=low

  * d/autofs5.autofs.upstart: Drop wait-for-state from configuration as 
    waiting for NIS to start is already handled in the NIS package by 
    the start-ypbind upstart configuration which supports autofs 
    (LP: #958704). 

 -- James Page <james.page@ubuntu.com>  Thu, 22 Mar 2012 11:02:03 +0000

autofs5 (5.0.6-0ubuntu4) precise; urgency=low

  * d/autofs5.autofs.upstart: Wait for NIS if it is installed. Also
    use the more generic runlevel event to start (LP: #573919)
  * d/control: Depend on upstart >= 0.9.7-2 since we rely on wait-for-state.

 -- Clint Byrum <clint@ubuntu.com>  Fri, 09 Mar 2012 16:47:40 -0800

autofs5 (5.0.6-0ubuntu3) precise; urgency=low

  * debian/rules:
    - Don't strip symbols during the build; let dh_strip turn them into dbgsym
      packages instead. Thanks, Adam Stokes! (LP: #924002)

 -- Christopher James Halse Rogers <christopher.halse.rogers@canonical.com>  Fri, 17 Feb 2012 11:59:50 +1100

autofs5 (5.0.6-0ubuntu2) oneiric; urgency=low

  * debian/patches/non-ipv6-hostname-lookups.patch: Resolve regression of not 
    being able to lookup non IPv6 hostnames, patch courtesy of upstream. 
    (LP: #810397)
  * debian/control: 
    - Removed dpatch from build-dep as package is now using
      quilt to handle patches.
    - Bumped standards to 3.9.2, no changes required.
  * debian/rules: Added targets build-arch & build-indep to satisfy lintian.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 14 Jul 2011 12:38:56 +0100

autofs5 (5.0.6-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Dropped upstream patches 
    - Refreshed debian/patches/17ld.patch.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 Jul 2011 14:35:46 -0400

autofs5 (5.0.5-0ubuntu7) oneiric; urgency=low

  * Refresh upstream patches.
  * Convert to dpkg-source 3.0 quilt format.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 May 2011 09:21:06 -0400

autofs5 (5.0.5-0ubuntu6) natty; urgency=low

  * Remove mounting TYPE=nfs from start conditions, change to
    start on filesystem and started networking to still solve
    bug 733914 as well. (LP: #752730)
  * Re-add sourcing of /etc/default/autofs to get OPTIONS so
    upgrades won't lose their settings.

 -- Clint Byrum <clint@ubuntu.com>  Sat, 09 Apr 2011 22:48:03 -0700

autofs5 (5.0.5-0ubuntu5) natty; urgency=low

  * Improve autofs.conf upstart script. Prevent race
    when trying to start networking. (LP: #733914)
  * debian/autofs5-ldap.install: Install schema in the right place.
    (LP: #699855)
  * Suggest smbfs if you want to use cifs. (LP: #579857)
  * Dropped 13ldap_module_linkage.dpatch no longer needed.
  * Refresh with missing upstream patches. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 02 Apr 2011 22:25:34 -0400

autofs5 (5.0.5-0ubuntu4) natty; urgency=low

  * Add missing space to autofs.conf which was stopping autofs job
    from ending at shutdown (LP:#718664).

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 14 Feb 2011 11:01:18 +0000

autofs5 (5.0.5-0ubuntu3) natty; urgency=low

  * Fix FTBFS with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jan 2011 15:40:32 +0100

autofs5 (5.0.5-0ubuntu2) maverick; urgency=low

  [Joel Ebel]
  * debian/patches/16group_buffer_size.patch: Increase group buffer size 
    geometrically rather than linearly when its found to be small.
    (LP: #591100)

  [Chuck Short]
  * debian/control: Fix conflict resolution. (LP: #520601)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 30 Jun 2010 08:06:45 -0400

autofs5 (5.0.5-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - Dropped 10lsb_initscript.dpatch since we dont ship an init script. 
    - Fast forward through the upstream patches until 2010/06/21.
    - Clean up lintian warnings.
    - Bump to standards version 3.8.4.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Jun 2010 11:02:50 -0400

autofs5 (5.0.4-3.1ubuntu5) lucid; urgency=low

  FFE LP: #533029

  * Replace init script with Upstart job:
    - debian/rules, debian/autofs5.autofs.upstart: Add upstart job.  

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Apr 2010 08:56:32 -0400

autofs5 (5.0.4-3.1ubuntu4) lucid; urgency=low

  * debian/control: Update maintainer. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Feb 2010 09:39:56 -0500

autofs5 (5.0.4-3.1ubuntu3) lucid; urgency=low

  * debian/control: correctly define transitional packages for autofs,
    autofs-ldap and autofs-hesiod (LP: #519119)

 -- Andrew Pollock <apollock@debian.org>  Mon, 08 Feb 2010 22:38:34 -0800

autofs5 (5.0.4-3.1ubuntu2) lucid; urgency=low

  * debian/control: Provide a transitional package for upgrade from 
    autofs4 to autofs5. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 04 Feb 2010 14:32:00 -0500

autofs5 (5.0.4-3.1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Removed experimental tag.
    - Dropped Ubuntu fix for permissions of /etc/autofs_ldap_auth.conf in 
      favor of Debian's.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 29 Jan 2010 06:13:19 +0000

autofs5 (5.0.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * add dh_fixperms -Xdebian/autofs5-ldap/etc/autofs_ldap_auth.conf to fix perms
    (Closes: #557865)

 -- Patrick Winnertz <winnie@debian.org>  Sat, 23 Jan 2010 14:54:16 +0100

autofs5 (5.0.4-3ubuntu2) lucid; urgency=low

  * debian/rules: Fix permissions of /etc/autofs_ldap_auth.conf. (LP: #368715) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 Jan 2010 15:45:55 -0500

autofs5 (5.0.4-3ubuntu1) lucid; urgency=low

  * debian/control: Removed experimental tag 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Dec 2009 14:39:24 -0500

autofs5 (5.0.4-3) unstable; urgency=low



=== debian/control ===
Source: autofs5
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Orginal-Maintainer: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), autoconf, flex, bison, libhesiod-dev, libldap-dev, libsasl2-dev, libssl-dev, libkrb5-dev, libxml2-dev
Homepage: http://www.kernel.org/pub/linux/daemons/autofs/v5/

Package: autofs5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, upstart (>= 0.9.7-2)
Recommends: nfs-common, module-init-tools
Suggests: smbfs
Description: kernel-based automounter for Linux, version 5
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.

Package: autofs5-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5
Description: LDAP map support for autofs, version 5
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the LDAP module of the autofs experimental branch.

Package: autofs5-hesiod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5
Description: Hesiod map support for autofs, version 5
 Autofs controls the operation of the automount daemons. The
 automount daemons automatically mount filesystems when they
 are used and unmount them after a period of inactivity. This
 is done based on a set of pre-configured maps.
 .
 The kernel automounter implements an almost complete SunOS
 style automounter under Linux. A recent version of the kernel
 autofs4 module (builtin or separate) is required.
 .
 This is the Hesiod module of the autofs experimental branch.

Package: autofs
Architecture: any
Depends: ${misc:Depends}, autofs5
Conflicts: autofs ( << 4.1.4+debian-2.1ubuntu2 )
Description: dummy transitional package from autofs to autofs5
 This transitional package helps users to transition from the autofs package to
 the autofs5 package. Once this package and its dependencies are installed you
 can safely remove it.

Package: autofs-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5-ldap
Conflicts: autofs-ldap ( << 4.1.4+debian-2.1ubuntu2 )
Description: dummy transitional package from autofs-ldap to autofs5-ldap
 This transitional package helps users to transition from the autofs-ldap
 package to the autofs5-ldap package. Once this package and its dependencies
 are installed you can safely remove it.

Package: autofs-hesiod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, autofs5-hesiod
Conflicts: autofs-hesiod ( << 4.1.4+debian-2.1ubuntu2 )
Description: dummy transitional package from autofs-hesiod to autofs5-hesiod
 This transitional package helps users to transition from the autofs-ldap
 package to the autofs5-ldap package. Once this package and its dependencies
 are installed you can safely remove it.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: clean build install binary binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	rm -f build.stamp install.stamp
	$(MAKE) clean
	rm -f Makefile.conf config.log config.status include/config.h
	dh_clean

build: build.stamp
build.stamp:
	dh_testdir
	./configure --prefix=/usr \
                    --with-confdir=/etc/default --mandir=/usr/share/man \
                    --with-mapdir=/etc --with-hesiod --with-openldap --with-sasl \
                    --enable-forced-shutdown --enable-ignore-busy
	chmod 0751 debian/configure_override
	debian/configure_override HAVE_MODPROBE
	debian/configure_override PATH_MODPROBE \"/sbin/modprobe\"
	debian/configure_override HAVE_LINUX_PROCFS
	$(MAKE) DONTSTRIP=1
	touch build.stamp

install: install.stamp
install.stamp: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) DESTDIR=../debian/autofs5 install
	dh_installdirs
	mv debian/autofs5/etc/auto.* debian/autofs5/usr/share/autofs5/conffiles/
	mv debian/autofs5/etc/default/autofs debian/autofs5/usr/share/autofs5/conffiles/default.autofs5
	mv debian/autofs5/usr/lib/autofs/lookup_ldap* debian/autofs5-ldap/usr/lib/autofs/
	mv debian/autofs5/usr/lib/autofs/*_hesiod* debian/autofs5-hesiod/usr/lib/autofs/
	mv debian/autofs5/etc/autofs_ldap_auth.conf debian/autofs5-ldap/etc/
	rm -rf debian/autofs5/var

binary: binary-arch binary-indep
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installinit -pautofs5 --name=autofs -- start 19 2 3 4 5 . stop 81 0 1 6 .
	dh_strip
	dh_compress
	dh_fixperms -Xdebian/autofs5-ldap/etc/autofs_ldap_auth.conf
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

build-arch:

build-indep:

=== debian/watch ===
version=3
ftp://ftp.kernel.org/pub/linux/daemons/autofs/v5/autofs-(5[^-]*)\.tar\.bz2
